<!-- prettier-ignore-start -->
# Class ImageMetaData

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.experience.image.ImageMetaData](dw.experience.image.ImageMetaData.md)

This class represents the image meta data, e.g. width and height.

**See Also:**
- [Image](dw.experience.image.Image.md)


## Property Summary

| Property | Description |
| --- | --- |
| [height](#height): [Number](TopLevel.Number.md) `(read-only)` | Returns the image height. |
| [width](#width): [Number](TopLevel.Number.md) `(read-only)` | Returns the image width. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getHeight](dw.experience.image.ImageMetaData.md#getheight)() | Returns the image height. |
| [getWidth](dw.experience.image.ImageMetaData.md#getwidth)() | Returns the image width. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### height
- height: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the image height.


---

### width
- width: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the image width.


---

## Method Details

### getHeight()
- getHeight(): [Number](TopLevel.Number.md)
  - : Returns the image height.

    **Returns:**
    - the image height in pixel


---

### getWidth()
- getWidth(): [Number](TopLevel.Number.md)
  - : Returns the image width.

    **Returns:**
    - the image width in pixel


---

<!-- prettier-ignore-end -->
